Package org.eclipse.graphiti.util

## Class LocationInfo

- java.lang.Object
- - org.eclipse.graphiti.util.LocationInfo

All Implemented Interfaces:
  `ILocationInfo`

    public class LocationInfo
    extends java.lang.Object
    implements ILocationInfo

The Class LocationInfo.

### Constructor Summary

Constructors
`LocationInfo​(Shape shape, GraphicsAlgorithm graphicsAlgorithm)` Creates a new `LocationInfo` with given shape and graphics algorithm.

### Method Summary

All Methods Instance Methods Concrete Methods
`GraphicsAlgorithm` `getGraphicsAlgorithm()` Gets the graphics algorithm.
`Shape` `getShape()` Gets the shape.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocationInfo

    public LocationInfo​(Shape shape,
                        GraphicsAlgorithm graphicsAlgorithm)

Creates a new `LocationInfo` with given shape and graphics algorithm.

Parameters:
  `shape` - the shape
  `graphicsAlgorithm` - the graphics algorithm

### Method Detail

#### getShape

    public Shape getShape()

Description copied from interface: `ILocationInfo`
Gets the shape.

Specified by:
  `getShape` in interface `ILocationInfo`
Returns:
  the shape of this location information

#### getGraphicsAlgorithm

    public GraphicsAlgorithm getGraphicsAlgorithm()

Description copied from interface: `ILocationInfo`
Gets the graphics algorithm.

Specified by:
  `getGraphicsAlgorithm` in interface `ILocationInfo`
Returns:
  the graphics algorithm of this location information